Bug 1550402 - [abrt] ibus-typing-booster: _index(): factory.py:87:do_create_engine:Exception: Cannot create engine typing-booster:de_DE
Summary: [abrt] ibus-typing-booster: _index(): factory.py:87:do_create_engine:Exceptio...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f6c50bfc1e78b4f0e63808a07d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-01 08:13 UTC by Mike FABIAN
Modified: 2018-11-30 20:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:50:40 UTC


Attachments (Terms of Use)
File: backtrace (3.49 KB, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: cgroup (292 bytes, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: cpuinfo (1.38 KB, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: environ (2.64 KB, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: mountinfo (3.89 KB, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: namespaces (129 bytes, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details
File: open_fds (1.81 KB, text/plain)
2018-03-01 08:14 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-03-01 08:13:55 UTC
Version-Release number of selected component:
ibus-typing-booster-1.5.34-1.fc27

Additional info:
reporter:       libreport-2.9.3
cmdline:        /usr/bin/python3 /usr/share/ibus-typing-booster/engine/main.py --profile --ibus
crash_function: _index
exception_type: AttributeError
executable:     /usr/share/ibus-typing-booster/engine/main.py
kernel:         4.14.11-300.fc27.x86_64
runlevel:       N 5
type:           Python3
uid:            10030

Truncated backtrace:
factory.py:87:do_create_engine:Exception: Cannot create engine typing-booster:de_DE

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1817, in _index
    return self._dirindex
AttributeError: 'ZipProvider' object has no attribute '_dirindex'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/local/mfabian/src/ibus-typing-booster/engine/factory.py", line 79, in do_create_engine
    self.bus, engine_path + str(self.engine_id), self.db)
  File "/local/mfabian/src/ibus-typing-booster/engine/hunspell_table.py", line 343, in __init__
    languages=self._dictionary_names)
  File "/local/mfabian/src/ibus-typing-booster/engine/itb_emoji.py", line 409, in __init__
    self._load_cldr_annotation_data(language, 'annotations')
  File "/local/mfabian/src/ibus-typing-booster/engine/itb_emoji.py", line 1122, in _load_cldr_annotation_data
    KAKASI_INSTANCE.getConverter())
  File "/usr/lib/python3.6/site-packages/pykakasi-0.24-py3.6.egg/pykakasi/kakasi.py", line 111, in getConverter
    self._conv["K"] = K2a(method = self._option["r"])
  File "/usr/lib/python3.6/site-packages/pykakasi-0.24-py3.6.egg/pykakasi/k2a.py", line 37, in __init__
    self._kanadict = jisyo('hepburndict2.pickle')
  File "/usr/lib/python3.6/site-packages/pykakasi-0.24-py3.6.egg/pykakasi/jisyo.py", line 16, in __init__
    dict_pkl = open(resource_filename(__name__, pklname), 'rb')
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1226, in resource_filename
    self, resource_name
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1720, in get_resource_filename
    eagers = self._get_eager_resources()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1810, in _get_eager_resources
    if self.has_metadata(name):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1488, in has_metadata
    return self.egg_info and self._has(self._fn(self.egg_info, name))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1834, in _has
    return zip_path in self.zipinfo or zip_path in self._index()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1820, in _index
    for path in self.zipinfo:
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1711, in zipinfo
    return self._zip_manifests.load(self.loader.archive)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 1666, in load
    def load(self, path):
  File "/usr/share/ibus-typing-booster/engine/main.py", line 285, in <lambda>
    signal (SIGTERM, lambda signum, stack_frame: cleanup(ima))
  File "/usr/share/ibus-typing-booster/engine/main.py", line 183, in cleanup
    sys.exit()
SystemExit

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/local/mfabian/src/ibus-typing-booster/engine/factory.py", line 87, in do_create_engine
    raise Exception("Cannot create engine %s" % engine_name)
Exception: Cannot create engine typing-booster:de_DE

Local variables in innermost frame:
traceback: <module 'traceback' from '/usr/lib64/python3.6/traceback.py'>
engine_path: '/com/redhat/IBus/engines/table/typing_booster_de_DE/engine/'
path_patt: re.compile('[^a-zA-Z0-9_/]')
engine_base_path: '/com/redhat/IBus/engines/table/%s/engine/'
engine_name: 'typing-booster:de_DE'
self: <factory.EngineFactory object at 0x7fbab6270cf0 (factory+EngineFactory at 0x55c1fdb2d610)>

Comment 1 Mike FABIAN 2018-03-01 08:14:01 UTC
Created attachment 1402287 [details]
File: backtrace

Comment 2 Mike FABIAN 2018-03-01 08:14:03 UTC
Created attachment 1402289 [details]
File: cgroup

Comment 3 Mike FABIAN 2018-03-01 08:14:04 UTC
Created attachment 1402290 [details]
File: cpuinfo

Comment 4 Mike FABIAN 2018-03-01 08:14:06 UTC
Created attachment 1402292 [details]
File: environ

Comment 5 Mike FABIAN 2018-03-01 08:14:08 UTC
Created attachment 1402295 [details]
File: mountinfo

Comment 6 Mike FABIAN 2018-03-01 08:14:09 UTC
Created attachment 1402296 [details]
File: namespaces

Comment 7 Mike FABIAN 2018-03-01 08:14:11 UTC
Created attachment 1402298 [details]
File: open_fds

Comment 8 Ben Cotton 2018-11-27 16:18:37 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Ben Cotton 2018-11-30 20:50:40 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.